Subject: Re: 1.AppleTalk 2.Fax/Modems
From: [email-masked] (Mark Day)
Date: 29 Sep 92 18:04:45 GMT
Newsgroups: comp.sys.apple2

In article <[email-masked]>, [email-masked] wrote:
> 
> Today I borrowed somebodys Imagewriter to do some printing and it had a
> network card installed.  I connected the printer to the printer port and
> configured the GS for AppleTalk for slot one, but NOT slot seven.  My GS
> printed to the printer fine, so when can a GS use AppleTalk without setting
> slot seven to AppleTalk.  My hard drive is in slot seven, so the question
> could be of future importance for when I use a Mac for a hard drive.
> 
> Also, is there a Send / Receive Fax Modem available
> for the GS.  I need a fax machine, so I would rather kill two birds ...
> 
> 
> Ken

Since you're using a ROM 3, setting slot 7 to AppleTalk is only needed for
compatibility with some older software, most notably the Apple IIGS
Workstation Software (based on System 3.2) and Aristotle (Apple's classroom
management/program selector product).

Both of the above products used an obsolete (and not reliable) method of
determining if AppleTalk is installed (by checking certain ID bytes in
the slot firmware).  There may be a small number of other third-party
applications out there that use this same method of identifying AppleTalk;
if so, you'd need to set slot 7 to AppleTalk in order to use those
applications.

By now, you're probably wondering why we didn't put those ID bytes in slots
1 and 2 since they contain the real AppleTalk firmware.  On a ROM 3, the
same firmware image is used for both AppleTalk and non-AppleTalk use of
the serial ports, so the ID bytes would be present even if AppleTalk was
turned off.  Also, the presence of the ID bytes imply the existence of a
few entry points at fixed offsets in the firmware; these entry points con-
flicted with entry points in the serial firmware.

Note: even if you have slot 7 set to AppleTalk on a ROM 3, you cannot print
to a network printer by printing to slot 7 (like you would on ROM 1)
because
there are a lot of 0's (BRK's) at the beginning of that slot's firmware).

---
Mark Day, Apple Computer, Inc.
[email-masked]